Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

function IDMCCHelperComponent2() {
}
IDMCCHelperComponent2.prototype = {
  classID: Components.ID("{B438A1AD-63F7-4D4C-AE27-A4032E83AF1E}"),
  contractID:       "@idm/mozilla_cc_helper2;1",   
  QueryInterface: XPCOMUtils.generateQI([Components.interfaces.iIDMHelper2]),   
  GetFile: function(key)
  {
	var cacheService = Components.classes["@mozilla.org/network/cache-service;1"].getService(Components.interfaces.nsICacheService);
	var httpCacheSession =  cacheService.createSession("HTTP", 0, true);
	var cacheEntry = httpCacheSession.openCacheEntry(key, Components.interfaces.nsICache.ACCESS_READ, false);
	if (cacheEntry)
	{
		var file =  cacheEntry.file;
		cacheEntry.close();
		return file;
	}
	return null;
  }
};

const NSGetFactory = XPCOMUtils.generateNSGetFactory([IDMCCHelperComponent2]);
