Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

function IDMCCHelperComponent3() {
}
IDMCCHelperComponent3.prototype = {
  classID: Components.ID("{2461A34C-8E5F-4078-8DDB-82289B86298E}"),
  contractID:       "@idm/mozilla_cc_helper3;1",   
  QueryInterface: XPCOMUtils.generateQI([Components.interfaces.iIDMHelper3]),   
  GetBaseWindow: function(win) 
  { 
	return win.QueryInterface(Components.interfaces.nsIInterfaceRequestor).getInterface(Components.interfaces.nsIWebNavigation).QueryInterface(Components.interfaces.nsIDocShellTreeItem).treeOwner.QueryInterface(Components.interfaces.nsIInterfaceRequestor).getInterface(Components.interfaces.nsIXULWindow).docShell.QueryInterface(Components.interfaces.nsISupports);
  },
  GetCharset: function(win) 
  { 
	return win.QueryInterface(Components.interfaces.nsIInterfaceRequestor).getInterface(Components.interfaces.nsIWebNavigation).QueryInterface(Components.interfaces.nsIDocShell).QueryInterface(Components.interfaces.nsISupports); 
  },
  GetFile: function(key)
  {
	var cacheService = Components.classes["@mozilla.org/network/cache-service;1"].getService(Components.interfaces.nsICacheService);
	var httpCacheSession =  cacheService.createSession("HTTP", 0, true);
	var cacheEntry = httpCacheSession.openCacheEntry(key, Components.interfaces.nsICache.ACCESS_READ, false);
	if (cacheEntry)
	{
		var file =  cacheEntry.file;
		cacheEntry.close();
		if (file)
		{
			return file.QueryInterface(Components.interfaces.nsISupports);
		}
	}
	return null;
  }
};

const NSGetFactory = XPCOMUtils.generateNSGetFactory([IDMCCHelperComponent3]);
